zenilib: zenilib/jni/external/freetype2/src/pshinter/pshglob.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pshglob.c File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include "pshglob.h"`

Go to the source code of this file.

## Functions

static void | psh_blues_scale_zones (PSH_Blues blues, FT_Fixed scale, FT_Pos delta)
static void | psh_blues_set_zones (PSH_Blues target, FT_UInt count, FT_Short *blues, FT_UInt count_others, FT_Short *other_blues, FT_Int fuzz, FT_Int family)
static void | psh_blues_set_zones_0 (PSH_Blues target, FT_Bool is_others, FT_UInt read_count, FT_Short *read, PSH_Blue_Table top_table, PSH_Blue_Table bot_table)
| psh_blues_snap_stem (PSH_Blues blues, FT_Int stem_top, FT_Int stem_bot, PSH_Alignment alignment)
static void | psh_globals_destroy (PSH_Globals globals)
| psh_globals_funcs_init (PSH_Globals_FuncsRec *funcs)
static FT_Error | psh_globals_new (FT_Memory memory, T1_Private *priv, PSH_Globals *aglobals)
static void | psh_globals_scale_widths (PSH_Globals globals, FT_UInt direction)
| psh_globals_set_scale (PSH_Globals globals, FT_Fixed x_scale, FT_Fixed y_scale, FT_Fixed x_delta, FT_Fixed y_delta)

## Function Documentation

static void psh_blues_scale_zones | ( | PSH_Blues | blues,
|  | FT_Fixed | scale,
|  | FT_Pos | delta
| ) |  |

static

Definition at line 366 of file pshglob.c.

References PSH_BluesRec_::blue_scale, PSH_BluesRec_::blue_shift, PSH_BluesRec_::blue_threshold, PSH_Blue_TableRec_::count, PSH_Blue_ZoneRec_::cur_bottom, PSH_Blue_ZoneRec_::cur_delta, PSH_Blue_ZoneRec_::cur_ref, PSH_Blue_ZoneRec_::cur_top, PSH_BluesRec_::family_bottom, PSH_BluesRec_::family_top, FT_BOOL, FT_MulFix(), FT_PIX_ROUND, FT_Pos, PSH_BluesRec_::no_overshoots, PSH_BluesRec_::normal_bottom, PSH_BluesRec_::normal_top, PSH_Blue_ZoneRec_::org_bottom, PSH_Blue_ZoneRec_::org_delta, PSH_Blue_ZoneRec_::org_ref, PSH_Blue_ZoneRec_::org_top, and PSH_Blue_TableRec_::zones.

Referenced by psh_globals_set_scale().

static void psh_blues_set_zones | ( | PSH_Blues | target,
|  | FT_UInt | count,
|  | FT_Short * | blues,
|  | FT_UInt | count_others,
|  | FT_Short * | other_blues,
|  | FT_Int | fuzz,
|  | FT_Int | family
| ) |  |

static

Definition at line 234 of file pshglob.c.

References PSH_Blue_TableRec_::count, PSH_BluesRec_::family_bottom, PSH_BluesRec_::family_top, PSH_BluesRec_::normal_bottom, PSH_BluesRec_::normal_top, PSH_Blue_ZoneRec_::org_bottom, PSH_Blue_ZoneRec_::org_delta, PSH_Blue_ZoneRec_::org_ref, PSH_Blue_ZoneRec_::org_top, psh_blues_set_zones_0(), and PSH_Blue_TableRec_::zones.

Referenced by psh_globals_new().

static void psh_blues_set_zones_0 | ( | PSH_Blues | target,
|  | FT_Bool | is_others,
|  | FT_UInt | read_count,
|  | FT_Short * | read,
|  | PSH_Blue_Table | top_table,
|  | PSH_Blue_Table | bot_table
| ) |  |

static

Definition at line 139 of file pshglob.c.

References PSH_Blue_TableRec_::count, FT_Bool, FT_UNUSED, PSH_Blue_ZoneRec_::org_delta, PSH_Blue_ZoneRec_::org_ref, and PSH_Blue_TableRec_::zones.

Referenced by psh_blues_set_zones().

psh_blues_snap_stem | ( | PSH_Blues | blues,
|  | FT_Int | stem_top,
|  | FT_Int | stem_bot,
|  | PSH_Alignment | alignment
| ) |  |

Definition at line 526 of file pshglob.c.

References PSH_Blue_TableRec_::count, PSH_Blue_ZoneRec_::cur_ref, FT_Pos, PSH_Blue_ZoneRec_::org_bottom, PSH_Blue_ZoneRec_::org_top, PSH_BLUE_ALIGN_BOT, PSH_BLUE_ALIGN_NONE, PSH_BLUE_ALIGN_TOP, and PSH_Blue_TableRec_::zones.

Referenced by psh_hint_align().

static void psh_globals_destroy | ( | PSH_Globals | globals | ) |

static

Definition at line 597 of file pshglob.c.

References FT_FREE.

Referenced by psh_globals_funcs_init().

psh_globals_funcs_init | ( | PSH_Globals_FuncsRec * | funcs | ) |

Definition at line 742 of file pshglob.c.

References psh_globals_destroy(), psh_globals_new(), and psh_globals_set_scale().

Referenced by ps_hinter_init().

static FT_Error psh_globals_new | ( | FT_Memory | memory,
|  | T1_Private * | priv,
|  | PSH_Globals * | aglobals
| ) |  |

static

Definition at line 623 of file pshglob.c.

References PS_PrivateRec_::blue_fuzz, PS_PrivateRec_::blue_scale, PS_PrivateRec_::blue_shift, PS_PrivateRec_::blue_values, PSH_WidthsRec_::count, error, PS_PrivateRec_::family_blues, PS_PrivateRec_::family_other_blues, FT_NEW, NULL, PS_PrivateRec_::num_blue_values, PS_PrivateRec_::num_family_blues, PS_PrivateRec_::num_family_other_blues, PS_PrivateRec_::num_other_blues, PS_PrivateRec_::num_snap_heights, PS_PrivateRec_::num_snap_widths, PSH_WidthRec_::org, PS_PrivateRec_::other_blues, psh_blues_set_zones(), PS_PrivateRec_::snap_heights, PS_PrivateRec_::snap_widths, PS_PrivateRec_::standard_height, PS_PrivateRec_::standard_width, PSH_DimensionRec_::stdw, and PSH_WidthsRec_::widths.

Referenced by psh_globals_funcs_init().

static void psh_globals_scale_widths | ( | PSH_Globals | globals,
|  | FT_UInt | direction
| ) |  |

static

Definition at line 41 of file pshglob.c.

References PSH_WidthsRec_::count, PSH_WidthRec_::cur, PSH_WidthRec_::fit, FT_MulFix(), FT_PIX_ROUND, FT_Pos, PSH_WidthRec_::org, PSH_DimensionRec_::scale_mult, PSH_DimensionRec_::stdw, and PSH_WidthsRec_::widths.

Referenced by psh_globals_set_scale().

psh_globals_set_scale | ( | PSH_Globals | globals,
|  | FT_Fixed | x_scale,
|  | FT_Fixed | y_scale,
|  | FT_Fixed | x_delta,
|  | FT_Fixed | y_delta
| ) |  |

Definition at line 707 of file pshglob.c.

References psh_blues_scale_zones(), psh_globals_scale_widths(), PSH_DimensionRec_::scale_delta, and PSH_DimensionRec_::scale_mult.

Referenced by ps_hints_apply(), and psh_globals_funcs_init().